function F_G = gaskraft_funktion(gamma,F_Gmax)

% Gaskraft jeden 2. Takt 20 Grad von dem oberen Totpunkt berechnen

gammaGrad = gamma(1)*180/pi;
gammaGradShift = 20;
mod_gamma = mod(gammaGrad,2*360);

if (0 <= mod_gamma && mod_gamma < 180-gammaGradShift) || (2*360-gammaGradShift < mod_gamma)
    % Gaskraft mit oberem sinus beaufschlagen
    F_G = F_Gmax*sin(gamma+gammaGradShift*pi/180);
else
    F_G = 0;
end

end